cohabitation php5.3 php5.2

Le
Tahar BEN ACHOUR
Bonjour à tous, Je voudrais vous demander si un upgrade vers php5.3 =
va influencer sur les sites fonctionnant sous php5.2, j'ai un serveur avec =
php5.2 et des sites sont déjà dessus, je voudrais installer php5.3 depu=
is les dépôts http://php53.dotdeb.org n'aurait pas de conséquences s=
ur les sites déjà en production. Merci pour votre aide. =


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/811100.92832.qm@web26303.mail.ukl.yahoo.com
Questions / Réponses high-tech
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
fabrice régnier
Le #22128451
'lut,

Je voudrais vous demander si un upgrade vers php5.3 va influencer sur les sites fonctionnant sous php5.2, j'ai un serveur avec php5.2 et des sites sont déjà dessus, je voudrais installer php5.3 depuis les dépôts http://php53.dotdeb.org n'aurait pas de conséquences sur les sites déjà en production.


http://www.php.net/manual/fr/migration53.incompatible.php

Sinon, le mieux est toujours de monter une machine (virtuelle) de test
en 5.3 sur laquelle tu pourras faire joujou.

a+

f.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/4bf13a48$0$14772$
Franck Delage
Le #22128741
--6WlEvdN9Dv0WHSBl
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Tahar BEN ACHOUR a écrit :
| Bonjour à tous,

Bonjour,

| Je voudrais vous demander si un upgrade vers php5.3 va influencer sur les sites fonctionnant sous php5.2, j'ai un serveur avec php5.2 et des sites s ont déjà dessus, je voudrais installer php5.3 depuis les dépôts htt p://php53.dotdeb.org n'aurait pas de conséquences sur les sites déjà en production.

J'ai fait ce changement il y a peu.

PHP 5.3 est une sorte d'étape intermédiaire vers PHP 6.

Certaines fonctions vont disparaître dans la version 6, et ces fonctions
sont pour l'instant marquées "dépréciées" dans 5.3.

Il s'agît pour la plupart de fonctions comme ereg_replace(), auxquelles
on préferera les fonctions POSIX, dans mon exemple, preg_replace().
Toutes les fonctions "ereg..." sont dans le même cas

Les fonctions dépréciées fonctionnent encore, mais il faudra penser à
les remplacer d'ici la version 6.

Tout ce que tu risques donc d'avoir, ce sont des messages d'erreur de
type "deprecated" dans tes logs.

Tu peux voir ça : http://devzone.zend.com/article/11701

Personnellement, je n'ai pas fait avec dotdeb, mais avec Zend, en
installant zend server community edition. Mais bon, ça c'est parce que
je suis un fan de Zend.


| Merci pour votre aide.

Avec plaisir.

--
Franck Delage
Création et hébergements de sites web
www.web82.net

--6WlEvdN9Dv0WHSBl
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvxSfMACgkQXLHx8YKDYqEL9wCgwzoVf1RstUfQDPeAZ6lmWfP/
BPAAnjZ/OmqgJg18VXojU0hWsqV0wcZU
=9yry
-----END PGP SIGNATURE-----

--6WlEvdN9Dv0WHSBl--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Tahar BEN ACHOUR
Le #22128811
Merci beaucoup pour vos précisions, c'est clair et net :)





----- Message d'origine ----
De : fabrice régnier À :
Envoyé le : Lun 1 7 mai 2010, 13h 44min 55s
Objet : Re: cohabitation php5.3 php5.2

'lut,

Je voudrais vous demander si un upgrade vers php5.3 va
influencer sur les sites fonctionnant sous php5.2, j'ai un serveur ave c php5.2
et des sites sont déjà dessus, je voudrais installer php5 .3 depuis les dépôts
href="http://php53.dotdeb.org" target=_bl ank >http://php53.dotdeb.org
n'aurait pas de conséquences sur les s ites déjà en production.

href="http://www.php.net/manual/fr/mi gration53.incompatible.php" target=_blank
>http://www.php.net/manual /fr/migration53.incompatible.php



Sinon, le
mieux est toujours de monter une machine (virtuelle) de test en 5.3 sur laquelle
tu pourras faire joujou.



a+

f.

-- Lisez la FAQ de la liste
avant d e poser une question :

target=_blank >http://wiki.debian.org/fr/Fr enchLists



Pour vous
DESABONNER, envoyez un message avec comme obj et "unsubscribe"


vers
ymailto="mailto: ists.debian.org"
href="mailto: n.org">


En
cas de soucis, contactez EN ANGLAIS
ymailto="mailto:"
href="mailto:"> g


Archive:

target=_blank
>http://lists.debian.org/4bf13a 48$0$14772$






--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme